Index

Click on one of the topics to read more

  • General
    General information about the NightVision plug-in.
  • Operation
    Instructions on all the controls and features.
Copyright © 2001 Martijn W. van der Lee/VanDerLee.


General

Here you'll find some general information about the NightVision plug-in.

  • About NightVision
    What NightVision is and what it can do (sample pictures included).
  • Installation
    The requirements and (un-)installation procedure for the NightVision plug-in.
  • History
    A list of changes for each version update.
  • Legal agreement
    If you wish to use NightVision you must agree to the legal agreement.


About Camouflage

About NightVision

ex_boat.jpg (6740 bytes) NightVision is a plug-in for PhotoShop™ compatible plug-in hosts. It will work with applications such as Adobe PhotoShop™, JASC Paint Shop Pro™, Corel PhotoPaint™, ULead PhotoImpact™ and MicroGrafx Picture Publisher™ amongst others (for a complete list, read the installation instructions).

You can use the NightVision plug-in to create completely realistic army night-goggle type images complete with true overlighting, scaled noise, realistic feedback and anti-aliassed interlacing.

ex_church.jpg (9517 bytes) Not only does NightVision provide a realistic looking effect, it can actually enhance and correct image intensity just like real night-vision hardware.

Just take a look at the image of a church, the left side is part of the source image (you can see the church tower if you look close enough), the right side is the corrected version using no scan color.
This image uses only the enhance feature, no interlacing, noise or feedback.

ex_bird.jpg (3805 bytes) Besides bringing you total realism, the NightVision plug-in will also you to do non-realistic effects such as the blue scan of a bird shown here on the left.

This image also nicely demonstrates both overlighting and feedback option, which provides the horizontal haze-like effect. It also shows off the fully anti-aliassed interlacing which allows you to change it's intensity, scale and width.

ex_cowboy.jpg (6142 bytes) Since any of the effects can be switched on and off, you can do a lot more than just enhance images. This image of a cowboy wearing a hat has been entirely created using NightVision, the source image was of normal color but by using a black scan color and enhancement, the overlighting feature took care of all lighting, creating a moody image. Adding noise and large feedback made it look just like a shot from a black/white surveillance camera.

You can use the NightVision plug-in for post-processing your images and (3D) animations or just for any of the separate effects it contains, in particular the interlacing feature is by far the best quality interlacing you will ever encounter and the enhancement option will allow you to look at details previously hidden in dark images.

Contacting
You can contact us for technical support or other questions/remarks.
On the internet: http://www.v-d-l.com
Using E-Mail: nightvision@v-d-l.com
By snail mail: VanDerLee, Meentweg 36, 1405 JB, Bussum, The Netherlands.


Installation

System requirements
Processor: Intel 80486 or compatible (including but not limited to AMD, Cyrix, IBM and WinChip).
Operating system: Windows 95 or above (including but not limited to Windows 98, ME, NT 4.0, 2000 and XP).
Harddisk: At least 1 MB free space.
A fully PhotoShop plug-in compatible software package:

Adobe | Illustrator | 7
 | Image Ready | 2
 | PhotoShop | 3, 4, 5, 5.5
Alexander Sabov | PicMaster | 1.25
CDH Productions | Image Explorer Pro | 4
CiEBV Computerinsel | PhotoLine 32 | 5, 6
Corel | PhotoPaint | 6, 7, 8, 9
 | Bryce | 4
Deneba | Canvas | 6
Harald Heim | Plugin Commander | 1.5
JASC | Paint Shop Pro | 4.12, 5, 6, 7
Macromedia | Fireworks | 2, 3
 | Freehand | 7, 8
MicroFrontier | Digital Darkroom | 1.2
Micrografx | Picture Publisher | 8
Microsoft | PhotoDraw 2000 | 1
Newave | Chaos Fx: Twilight'76 | 1.2
PS | imageN (free) | 1.0z
Ron Scott | QFX | 7.0
Satori | PhotoXL | 2.29
ULead | PhotoImpact | 4, 4.2, 5

Un-installing
Since no modifications are made to the system (neither registry nor files) by installing the NightVision plug-in you can just manually remove the files, if available, the folder which contains it (named "NightVision") and shortcuts you may have made yourself.


Legal agreement

Copyright © 2001 Martijn W. van der Lee/VanDerLee.

Legal agreement
Martijn van der Lee permits you use the NightVision plug-in (Software) conditioned on your acceptance of this agreement. Use of this Software will be taken to mean acceptance of this agreement, so please read the following terms carefully before you use the Software.

1. Copyright and permission for use
Martijn van der Lee grants you as an individual the right to use the Software on only one computer at any single time. The ownership and copyright of the Program belongs to Martijn van der Lee.

2. Prohibitions and restrictions
You may not reverse-compile, disassemble, reverse-engineer, or use any other method to convert the Software into a human-readable form, nor may you allow another person to do so. The Software may not be duplicated, corrected, modified, lent, leased, sold, distributed, licensed or disposed of in any other way in part or in whole if money or other means of payment or restitution are involved. The creation of derivative works based on the content of the Software is also prohibited. Your rights regarding the Software may be transferred to a third party only if this is done for non-commercial purposes and if the Software and all associated documentation including this agreement are included, and if the third party accepts this agreement.

3. Limitations of Liability
The Software was developed at, and is copyrighted by, Martijn van der Lee. The Software is offered "AS IS" and Martijn van der Lee makes no warranty as to its use or performance.
MARTIJN VAN DER LEE AND ITS SUPPLIERS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE SOFTWARE OR DOCUMENTATION. MARTIJN VAN DER LEE AND ITS SUPPLIERS MAKE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NON INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL MARTIJN VAN DER LEE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF MARTIJN VAN DER LEE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.


History

v1.00
· First release.


Operation

Main window Operation

The user interface of NightVision is rather small in comparison to most of our other product but this does not mean you have only limited functionality available; everything the plug-in can do can be fully configured by the user.

1. Preview

If you're familiar with our other plug-ins, you'll know how to use the preview window.
On top is the big preview window, if the image doesn't fit into the space reserved for it you can pan it around by clicking the left mouse button anywhere on the image and dragging whilst keeping the button pressed.
Beneath the preview is the progress indicator and the zoom buttons which will let you either zoom in or out of the image.

2. Enhance

The enhance feature allows you to brighten (or darken if you require to do so) the source image. Normally the enhance feature just re-scales the intensity information of the source image, but if a part of the image becomes brighter than 100%, the overlighting system kicks in.
The overlighting system is only visible when using a scan color; if the re-scaled color becomes brighter than the scan color, the overlighting system goes beyond the scan colors maximum brightness towards white. Note that this is not the same as simply re-scaling.
If you don't want any enhancement, just uncheck the checkbox on the left side.

3. Feedback

Feedback will let brighter colors fade away slowly from left to right when the color to the right is darker, this effect realistically simulates how feedback is formed in normal hardware. The effect can be set between a very small feedback to eternal feedback, in which the signal never fades away.
If you don't want any feedback, just uncheck the checkbox on the left side.

4. Signal noise

This setting adds a random noise to the image after being enhanced but before the feedback or raster effects are created. This allows you to have the feedback "see" the signal noise.
If you don't want any signal noise, just uncheck the checkbox on the left side.

5. Raster intensity, scale and width

The raster feature adds an interlacing to the image, where certain horizontal lines are darkened systematically. Setting the intensity will let you control how much darker these lines should be (by percentage), the scale sets the distance between these lines and the width sets the amount of consecutive lines to be darkened as a percentage of the scale.
The raster is completely anti-aliassed, meaning the raster lines do not need to correspond to actual image pixels but can be in-between instead, the raster effect will correctly shade these lines to look like "half" lines.
If you don't want any raster lines, just uncheck the checkbox on the left side.

6. Scan color

This box shows the colors used for the scanning.
Clicking on any of the color boxes will allow you to change it's color by using a standard color dialog, alternatively you can select the hosts' foreground or background color from by selecting them from the list.

btn_save.gif (1865 bytes) 7. Open/Save

btn_open.gif (1876 bytes) The Open and Save buttons allow you to save and restore any settings you have made. Clicking either button will show a corresponding window allowing you to open or save settings. The default extension for these settings files is .nvs, it will be added automatically if you do not specify it manually. The format used for saving the files is extensible so future updates of NightVision will be able to use them.

btn_cancel.gif (2989 bytes) 8. OK/Cancel

btn_ok.gif (2504 bytes) These two buttons hardly require explanation; the OK button will render the effect to the source image, the Cancel button will return to the host application without any changes to the image.
While the image is rendering, you will see a progress bar which indicates the amount of rendering completed and the time left.

btn_help.gif (751 bytes) Other controls

At the top-right of the screen you can find the help button, which will show you the help information you are reading now, if you click on the small VanDerLee copyright notice below the open and save buttons, your browser will be started and will be directed to our www.v-d-l.com site.